angular.module('beamng.apps')
.directive('syncRealToGameTime', [function () {
  return {
	templateUrl: '/ui/modules/apps/syncRealToGameTime/app.html',

  	link: function (scope, element) {
	bngApi.engineLua('zeit_syncRealToGameTime.getEnabled()', function (data) {
		scope.$evalAsync(function () {
			scope.toggleSyncBox = data;
		});
	});

	scope.toggleSyncFunc = function () {
		let toggleSync = setTimeout( () => {
			if (scope.toggleSyncBox) {
				bngApi.engineLua('zeit_syncRealToGameTime.setEnabled("true")');
			} else {
				bngApi.engineLua('zeit_syncRealToGameTime.setEnabled("false")');
				clearTimeout(toggleSync)
			}
		}, 8)
	};
}}}]);